=== modified file 'doc/developers/HACKING.txt'
--- doc/developers/HACKING.txt	2008-12-09 09:22:11 +0000
+++ doc/developers/HACKING.txt	2008-12-12 01:24:50 +0000
@@ -886,6 +886,17 @@
 that exception specifically, or when it needs a substantially different
 format string.
 
+#. If it is something that a caller can recover from, a custom exception
+   is reasonable. 
+
+#. If it is a data consistency issue, using a builtin like
+   ``ValueError``/``TypeError`` is reasonable. 
+
+#. If it is a programmer error (using an api incorrectly)
+   ``AssertionError`` is reasonable. 
+
+#. Otherwise, use ``BzrError`` or ``InternalBzrError``.
+
 Exception strings should start with a capital letter and should not have a
 final fullstop.  If long, they may contain newlines to break the text.
 

